Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.plugins.support.aware
[Java] Interface GrailsConfigurationAware

    public interface GrailsConfigurationAware
    extends org.springframework.beans.factory.Aware

Obtains the Grails ConfigObject via Spring.

Authors:
  Graeme Rocher

Since:
  1.2

Method Summary
`void` | `setConfiguration(groovy.util.ConfigObject co)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### setConfiguration

    public void setConfiguration(groovy.util.ConfigObject co)

Groovy Documentation